Name:          pgjdbc-ng
Version:       0.6
Release:       1%{?dist}
Summary:       A new JDBC driver for PostgreSQL
License:       BSD and ASL 2.0 and Public Domain
URL:           http://impossibl.github.io/pgjdbc-ng/
Source0:       https://github.com/impossibl/pgjdbc-ng/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(io.netty:netty-all)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

# ASL 2.0 .src/main/java/com/impossibl/postgres/utils/guava/*.java
Provides:      bundled(guava) = 1.0
# Public Domain ./src/main/java/com/impossibl/postgres/jdbc/xa/Base64.java
Provides:      bundled(java-base64) = 2.1
# .src/main/java/com/impossibl/postgres/jdbc/xa/PGXAConnection.java
# .src/main/java/com/impossibl/postgres/jdbc/xa/PGXAException.java
# .src/main/java/com/impossibl/postgres/jdbc/xa/RecoveredXid.java
Provides:      bundled(postgresql-jdbc) = 8.1

BuildArch:     noarch

%description
A new JDBC driver for PostgreSQL aimed at supporting the
advanced features of JDBC and Postgres.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-source-plugin

%pom_remove_plugin :maven-jar-plugin
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:3.0.2 . '
<executions>
  <execution>
    <goals>
      <goal>test-jar</goal>
    </goals>
  </execution>
</executions>'

# Add OSGi support
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-Name>${project.artifactId}</Bundle-Name>
    <Bundle-SymbolicName>${project.groupId}</Bundle-SymbolicName>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%build

# SQL Connection Error: Connection refused: localhost/127.0...
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Aug 16 2016 gil cattaneo <puntogil@libero.it> 0.6-1
- initial rpm

